<template>
  <lazy-theme-desktop-peru-statement v-if="theme.includes('/peru')" />
  <ThemeCommonMobileTransactionHistory
    v-else-if="isMobileMain || isMobilePlayful || isMobileGlobal"
  />
  <div v-else>
    <div v-if="isMobile">
      <header-title
        v-if="allowTheme || themeColor.Text === 'bk8'"
        :title="$t('statement')"
      />
      <div class="mx-auto px-5 bg-1 mb-[12vw]">
        <el-tabs v-model="transactionAcitveTab" class="demo-tabs">
          <el-tab-pane
            name="transaction-history-deposit"
            :disabled="isStatementLoading"
          >
            <template #label>
              <nuxt-link to="/transaction-history/deposit" class="py-4">{{ $t(`deposit${isBhinbhin}`) }}</nuxt-link>
            </template>
          </el-tab-pane>
          <el-tab-pane
            name="transaction-history-withdrawal"
            :disabled="isStatementLoading"
          >
            <template #label>
              <nuxt-link to="/transaction-history/withdrawal" class="py-4">{{
                $t("withdrawal")
              }}</nuxt-link>
            </template>
          </el-tab-pane>
          <el-tab-pane
            name="transaction-history-winlose"
            :disabled="isStatementLoading"
          >
            <template #label>
              <nuxt-link to="/transaction-history/winlose" class="py-4">{{
                $t("winlose")
              }}</nuxt-link>
            </template>
          </el-tab-pane>
          <el-tab-pane
            name="transaction-history-my-promotion"
            :disabled="isStatementLoading"
          >
            <template #label>
              <nuxt-link to="/transaction-history/my-promotion" class="py-4">{{
                $t("my_promotion")
              }}</nuxt-link>
            </template>
          </el-tab-pane>
        </el-tabs>
        <div class="transaction-wrapper">
          <nuxt-page class="flex-auto"></nuxt-page>
        </div>
      </div>
    </div>
    <lazy-user-center-layout v-else :title="$t('statement')">
      <div class="h-full flex flex-col relative transaction-page">
        <el-tabs v-model="transactionAcitveTab" class="demo-tabs">
          <el-tab-pane
            name="transaction-history-deposit"
            :disabled="isStatementLoading"
          >
            <template #label>
              <nuxt-link to="/transaction-history/deposit" class="py-4">{{ $t(`deposit${isBhinbhin}`) }}</nuxt-link>
            </template>
          </el-tab-pane>
          <el-tab-pane
            name="transaction-history-withdrawal"
            :disabled="isStatementLoading"
          >
            <template #label>
              <nuxt-link to="/transaction-history/withdrawal" class="py-4">{{
                $t("withdrawal")
              }}</nuxt-link>
            </template>
          </el-tab-pane>
          <el-tab-pane
            name="transaction-history-winlose"
            :disabled="isStatementLoading"
          >
            <template #label>
              <nuxt-link to="/transaction-history/winlose" class="py-4">{{
                $t("winlose")
              }}</nuxt-link>
            </template>
          </el-tab-pane>
        </el-tabs>
        <div class="p-6">
          <nuxt-page class="flex-auto"></nuxt-page>
        </div>
      </div>
    </lazy-user-center-layout>
  </div>
</template>

<script lang="ts" setup>
import { useRoute } from "vue-router";
import { store } from "~~/store";
import HeaderTitle from "@/components/new-black-theme/m-header-title.client.vue";
import commonHelper from "@/utils/commonHelper";

defineProps({
  theme: {
    type: String,
    default: "",
  },
});
const route = useRoute();
const transactionAcitveTab = computed(() => String(route.name));
const isMobile = !useIsDesktop();
const { themeColor } = themePropertyHelper;
const allowTheme = computed(
  () =>
    store.state.selectedThemeName === "sbo" ||
    store.state.selectedThemeName.includes("global") ||
    store.state.selectedThemeName.includes("playful") ||
    store.state.selectedThemeName.includes("main")
);
const isStatementLoading = computed(() => store.state.isStatementLoading);
const isMobileMain = computed(
  () => isMobile && store.state.selectedThemeName.includes("main")
);
const isMobilePlayful = computed(
  () => isMobile && store.state.selectedThemeName.includes("playful")
);
const isMobileGlobal = computed(
  () => isMobile && store.state.selectedThemeName.includes("global")
);
const { isBhinbhin } = commonHelper;
</script>

<style>
[layout="global"] .el-tabs__nav-scroll {
  overflow-y: hidden !important;
}
[layout="main"] .demo-tabs .el-tabs__nav-wrap .el-tabs__item,
[layout="sbo"] .demo-tabs .el-tabs__nav-wrap .el-tabs__item,
.black-mobile .demo-tabs .el-tabs__nav-wrap .el-tabs__item {
  width: unset !important;
}
.transaction-page[theme="desktop/sbo"] {
  background: var(--background1, white);
}
</style>
<style lang="scss">
.desktop-transaction-deposit,
.withdrawal-desktop {
  .el-table__body-wrapper {
    height: 100%;
    padding-bottom: 44px;
  }
  .el-table__inner-wrapper {
    padding-bottom: 15px;
  }
}
.transaction-page .common-global {
  .transaction-wrapper {
    padding-top: 100px;
  }
}
.transaction-page .el-tabs__item.is-active {
  color: var(--primary);
}
</style>
